VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties
VisimBox.Physics.PhysNode Class Reference

Base physical node. More...

Inheritance diagram for VisimBox.Physics.PhysNode:

List of all members.

## Public Member Functions
| PhysNode ()
| PhysNode (System.Xml.XmlReader reader)
| XML reader constructor.
## Protected Member Functions
override void | CopyData (Node targetNode)
## Properties
PhysicalScene | PhysWorld`[get, set]`
| physical world in which the physical node is operating
bool | AutoRegister`[get, set]`
override RenderFlags | DefaultRenderFlags`[get]`
| Default render flags for the node (node will be rendered only if flags are correct)

## Detailed Description

Base physical node.

## Constructor & Destructor Documentation

VisimBox.Physics.PhysNode.PhysNode | ( |  | ) |

VisimBox.Physics.PhysNode.PhysNode | ( | System.Xml.XmlReader | reader | ) |

XML reader constructor.

Parameters:

  reader | XML reader

## Member Function Documentation

override void VisimBox.Physics.PhysNode.CopyData | ( | Node | targetNode | ) | `[protected, virtual]`

Reimplemented from VisimBox.Scene.RenderableNode.

Reimplemented in VisimBox.Physics.RigidBody, and VisimBox.Physics.StaticCollision.

## Property Documentation

bool VisimBox.Physics.PhysNode.AutoRegister`[get, set]`

override RenderFlags VisimBox.Physics.PhysNode.DefaultRenderFlags`[get]`

Default render flags for the node (node will be rendered only if flags are correct)

Reimplemented from VisimBox.Scene.RenderableNode.

Reimplemented in VisimBox.Physics.RigidBody, and VisimBox.Physics.StaticCollision.

PhysicalScene VisimBox.Physics.PhysNode.PhysWorld`[get, set]`

physical world in which the physical node is operating

The documentation for this class was generated from the following file:

- PhysNodes.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events